Subject: Re: CCL:G98W and dual processors on NT

From: Ulrike Salzner <[email-masked]>
Date: Tue, 30 May 2000 10:50:58 +0300 (EET DST)

I have similar problems with the memory on a PentiumIII single board PC
with 512 Mb. This are 64 MW if I am not mistaken. I checked the largest
-M- specification in the defoult route that works: 28 MW or 244 MB.
Everything larger than that bombs. One job paused with the error message
that "global memory recources have become low". Execution required
2,147,483,648 bytes, presently free were 1,858,035,712 bytes. According 
to this 1.77 GB memory were free but my computer has only 512 MB. Is it
possible that there is a plain arithmetic mistake in the program that
reads the default route and that we are asking for much more memory than
we think we do?

===================================================================

Dr. Ulrike Salzner

Department of Chemistry		Tel.: (312) 290-2122
Bilkent University		Fax.: (312) 266-5097
06533 Bilkent, Ankara 		e-mail: [email-masked]
Turkey

====================================================================

On Mon, 29 May 2000, Jim Kress wrote:

> On May 23 I asked the list about the "low memory" warning and significant
> thrashing I get with Gaussian 98W on a dual processor NT machine.
> 
> The responses I received are given below (I even got one from Gaussian!).
> 
> I also did some testing on my computer.  It appears that G98W exhibits
> interesting behavior with NT (maybe all 32 bit) systems where the swap file
> exceeds (approximately) 2200MB.
> 
> I found the following:
> 
> SFS = swap file size (MB)
> -M- = -M- parameter in default.rou (MB)
> LMW = Low memory warning
> TH = thrashing
> 
> SFS       -M-   Result
> 2500      960   LMW and TH
> 2500      250   no LMW
> 2200      960   no LMW
> 
> For SFS between 2200MB and 2500MB, G98W exhibits some very strange behavior.
> For some SFS values (e.g 2250MB) when G98W is invoked it will respond with
> an "Insufficient
> free memory.  Need 4 MB minimum" error message and then terminate.
> 
> Also, as the SFS approaches 2200MB (from 2500MB) the difference between the
> "memory needed" and "memory available" in the "Low Memory Warning" message
> decreases.
> 
> This behavior is reminiscent of some of the disk i/o observations in G98W
> that result from the 32 bit integer word size.
> 
> In addition, I have found that there is a significant interaction between
> the -M- parameter in the default.rou file, the SFS, and cpu time necessary
> to run the test case (qs.gjf).  Here are some results (cpu time is in
> seconds):
> 
> SFS    -M-  cpu time
> 2000   960   106
> 2000     96     10
> 1400   960     98
> 1400   240     17
> 1400   128     11
> 1400     ns        8
> 
> -M- of ns implies not specified in default.rou so used G98W default
> established upon installation of the software (install program stated that
> default.rou set up for machine with > 48 MB memory).  Larger values of -M-
> result in thrashing (SFS is fixed and larger than -M-).  It appears the
> memory management in G98W is unkind to jobs that are small relative to the
> value of -M-.
> 
> In any event, it appears that I've identified the source of the error
> message.  Take the information as you will.
> 
> Thanks for the help from the people who responded!
> 
> Jim
> 
> Check out my web site  http://www.kressworks.com/
> 
> 
> ----- Original Message -----
> From: Jim Kress <[email-masked]>
> To: CCL <[email-masked]>
> Sent: Tuesday, May 23, 2000 11:02 PM
> Subject: CCL:G98W and dual processors on NT
> 
> 
> > I am using G98W on a dual processor WinNT4.0SP5 machine with 1GB of RAM.
> I
> > do NOT specify MKL_NPROCS to be 2.
> >
> > However, when I run G98W, it pauses with a 'low memory' warning.  It
> states
> > that I need 480MB of RAM to continue (which is the amount specified in the
> > default.rou file) but that I have only (approx.) 231MB.  If I allow it to
> > proceed, it thrashes badly.  If I specify a memory value of LE 256MB in
> the
> > default.rou file, the program runs normally with no warnings or thrashing.
> >
> > The problem is not resolved by specification of MKL_NPROCS to be 1
> >
> > In all cases I am using the qs.gjf example from the C:\G98W\quick
> > subdirectory.
> >
> > Anybody know what I need to do to get this to run properly with the larger
> > default.rou memory specification?  I've asked Gaussian but they have not
> > replied ...
> >
> > Thanks and I will summarize.
> >
> > Jim
> >
> > Check out my web site  http://www.kressworks.com/
> >
> >
> Response 1:
> 
> I am not sure about G98W, but GAMESS would do that if the amount of the swap
> space was low. It should be 2xRAM or more. With GAMESS I could run a job
> with  720 MB RAM on a 768 MB machine with 2GB of swap space.
> 
> Slawomir Janicki
> [email-masked]
> 
> Response 2:
> 
> Dr. Kress,
> 
>    We have attempted to model this on a Win2000 machine with 512MB and dual
> processors using various sizes of virtual memory.  With small virtual memory
> settings, 128MB, we do see a loss of efficiency but never a 'low memory'
> warning.  Running with 750MB of virtual memory this seems to run fine with
> a memory request of 400MB.
> 
>    What setting do you have in place for your virtual memory?
> 
> --
> 
>   Douglas J. Fox
>   Technical Support
>   Gaussian, Inc.
>   [email-masked]
> 
> Response 3:
> 
> Well, I don't know what is happening. Loosing cache coherency perhaps? You
> would think that GAUSSIAN could make their software SMP friendly...
> 
> Slawomir Janicki
> [email-masked]
> 
> ----- Original Message -----
> From: "Jim Kress" <[email-masked]>
> To: "Slawomir Z. Janicki" <[email-masked]>
> Sent: Tuesday, May 23, 2000 11:12 PM
> Subject: Re: G98W and dual processors on NT
> 
> 
> > Thanks for the info.
> >
> > Actually, pcGAMESS is my preferred software.  Unfortunately, pcGAMESS
> > doesn't have DFT capabilities and that is why I'm using G98W.
> >
> > Also, it's not a matter of swap space.  I have 2.5GB of swap to go with
> the
> > 1GB of RAM.  I never had these problems with G98W until I put in the 2nd
> > processor.
> >
> > Jim
> >
> > Check out my web site  http://www.kressworks.com/
> >
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
> 
> 
> 
> 
> 
>